--废水监测点--
insert into 业务_企业监测点执行标准(监测年,企业代码,企业类型,监测点代码,监测点名称,起始日期,结止日期,执行标准名称,执行标准代码,执行标准条件代码)
select a.* from (select distinct 监测年,企业代码,企业类型,监测点代码,监测点名称,convert(varchar(20),监测年)+'-01'+'-01' as 起始日期,convert(varchar(20),监测年)+'-12'+'-31' as 结止日期,b.标准名称 as 执行标准名称,执行标准代码,执行标准条件代码 
from 业务_废水排口信息 a
join 系统_标准库 b on a.执行标准代码=b.标准代码 where a.执行标准代码 is not null
) as a
left  join 业务_企业监测点执行标准 as b on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型
and a.监测点代码=b.监测点代码 and a.监测点名称=b.监测点名称 and convert(datetime,a.起始日期)=b.起始日期
and convert(datetime,a.结止日期)=b.结止日期 where b.id is null
go

--污水处理厂--
if OBJECT_ID('tempdb..#tmp_污水处理厂') is not null
begin drop table #tmp_污水处理厂 end
select row_number() over (order by 监测年 desc) as id,  监测年,企业代码,标准代码,标准条件编码
into #tmp_污水处理厂 from 业务_污水处理厂污染物信息
group by 监测年,企业代码,标准代码,标准条件编码

insert into 业务_企业监测点执行标准
(监测年,企业代码,企业类型,监测点代码,监测点名称,起始日期,结止日期
,执行标准名称,执行标准代码,执行标准条件代码)
select a.监测年,a.企业代码,a.企业类型,a.监测点代码,a.监测点名称,a.起始日期,a.结止日期
,c.标准名称,a.标准代码,a.标准条件编码   from 
(   
    select 监测年,企业代码,'2' as 企业类型,企业代码 as 监测点代码,'污水处理厂' as 监测点名称
    ,convert(varchar(20),监测年)+'-01'+'-01' as 起始日期,
	convert(varchar(20),监测年)+'-12'+'-31' as 结止日期,标准代码,标准条件编码  from #tmp_污水处理厂 
	where id in (select min(id) from #tmp_污水处理厂 group by 监测年,企业代码)
) as a
 left join 系统_标准库 as c on a.标准代码=c.标准代码  
left  join 业务_企业监测点执行标准 as b on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型
and a.监测点代码=b.监测点代码  and convert(datetime,a.起始日期)=b.起始日期
and convert(datetime,a.结止日期)=b.结止日期 where b.id is null
go
if OBJECT_ID('tempdb..#tmp_污水处理厂') is not null
begin drop table #tmp_污水处理厂 end